<?php

namespace traits;

trait notification_t
{
    protected array $log = [];

    /**
     * Send department booking notification
     * @param int $department_id
     * @param string $message
     */
    abstract public function send_department_booking_notification(int $department_id, string $message): self;

    public function add_log(mixed $data): void
    {
        $this->log[] = [
            'timestamp' => time(),
            'data' => $data
        ];
    }

    public function get_log(): array
    {
        return $this->log;
    }
}